Stream
Keywords: org.p2c2e.zing.Stream class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.zing
Class Stream

    java.lang.Object
      org.p2c2e.zing.Stream

All Implemented Interfaces:
  java.lang.Comparable

public abstract class Stream
extends java.lang.Object
implements java.lang.Comparable

Nested Class Summary
`static class` | `Stream.Result`

Method Summary
`Stream.Result` | `close()`
`int` | `compareTo(java.lang.Object o)`
`int` | `getBuffer(java.nio.ByteBuffer b, int len)`
`int` | `getChar()`
`int` | `getInt()`
`int` | `getLine(java.nio.ByteBuffer b, int len)`
`int` | `getPosition()`
`void` | `putBuffer(java.nio.ByteBuffer b, int len)`
`abstract void` | `putChar(int c)`
`void` | `putInt(int i)`
`void` | `putString(java.lang.String s)`
`void` | `setHyperlink(int val)`
`abstract void` | `setPosition(int p, int seekmode)`
`void` | `setStyle(java.lang.String sname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setHyperlink

    public void setHyperlink(int val)

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getPosition

    public int getPosition()

### setPosition

    public abstract void setPosition(int p,
                                     int seekmode)

### setStyle

    public void setStyle(java.lang.String sname)

### putChar

    public abstract void putChar(int c)

### putInt

    public void putInt(int i)

### putString

    public void putString(java.lang.String s)

### putBuffer

    public void putBuffer(java.nio.ByteBuffer b,
                          int len)

### getChar

    public int getChar()

### getInt

    public int getInt()
               throws java.io.EOFException

  Throws:
    `java.io.EOFException`

### getBuffer

    public int getBuffer(java.nio.ByteBuffer b,
                         int len)

### getLine

    public int getLine(java.nio.ByteBuffer b,
                       int len)

### close

    public Stream.Result close()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD